{% load static %}

{% block content %}
<!DOCTYPE html>
<html>

<head>
    <title></title>
</head>

<body>
    <header>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                    <li>
                        <a href={% url 'show_my_tasks' %}>My tasks</a>
                    </li>
                    <li>
                        <a href={% url 'list_projects' %}>My projects</a>
                    </li>
                    <li>
                        <a href={% url 'logout' %}>Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href={% url 'login' %}>login</a>
                    </li>
                    <li>
                        <a href={% url 'signup' %}>Signup</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
    </header>
    <main>
        <div>
            <h1>My Projects</h1>
            <a href={% url 'create_project' %}>Create a new project</a>
            <p>You are not assigned to any projects</p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for project in projects.items.all %}
                    <tr>
                        <td>{{ project.name }}</td>
                        <td>{{ project.tasks.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
    <footer>
    </footer>
</body>

</html>
{% endblock content %}
